# class Control

###

Module | akonadi
Namespace | Akonadi
Class | Control
Inherits | QObject

Provides methods to control the Akonadi server process.

This class provides a method to start the Akonadi server process synchronously.

Normally the Akonadi server is started by the KDE session manager, however for unit tests or special needs one can use this class to start it explicitly.

Example:

    if ( !Akonadi.Control.start() ) {
    qDebug() << "Unable to start server, exit application";
    return 1;
    } else {
    ...
    }

Author Volker Krause <vkrause@kde.org>

### methods

- Control ( )

  returns ctor

  Creates the control object.

- start ( )

  returns bool
  static

  Starts the Akonadi server synchronously if it is not already running.